- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/list#body.FloodlightActivitiesListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities/list#try-it)

Retrieves a list of floodlight activities, possibly filtered. This method supports [paging](https://developers.google.com/doubleclick-advertisers/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/floodlightActivities`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only floodlight activities with the specified IDs. Must specify either `ids`, `advertiserId`, or `floodlightConfigurationId` for a non-empty result. |
| `floodlightActivityGroupIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only floodlight activities with the specified floodlight activity group IDs. |
| `floodlightConfigurationId` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only floodlight activities for the specified floodlight configuration ID. Must specify either `ids`, `advertiserId`, or `floodlightConfigurationId` for a non-empty result. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only floodlight activities for the specified advertiser ID. Must specify either `ids`, `advertiserId`, or `floodlightConfigurationId` for a non-empty result. |
| `tagString` | `string` Select only floodlight activities with the specified tag string. |
| `floodlightActivityGroupType` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/FloodlightActivityGroupType`)`` Select only floodlight activities with the specified floodlight activity group type. |
| `floodlightActivityGroupTagString` | `string` Select only floodlight activities with the specified floodlight activity group tag string. |
| `floodlightActivityGroupName` | `string` Select only floodlight activities with the specified floodlight activity group name. |
| `maxResults` | `integer` Maximum number of results to return. |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |
| `searchString` | `string` Allows searching for objects by name or ID. Wildcards (`*`) are allowed. For example, `"floodlightactivity*2015"` will return objects with names like `"floodlightactivity June 2015"`, `"floodlightactivity April 2015"`, or simply `"floodlightactivity 2015"`. Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of `"floodlightactivity"` will match objects with name `"my floodlightactivity activity"`, `"floodlightactivity 2015"`, or simply `"floodlightactivity"`. |
| `sortField` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortField`)`` Field by which to sort the list. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |

### Request body

The request body must be empty.

### Response body

Floodlight Activity floodlightActivities.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "floodlightActivities": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities#FloodlightActivity`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#floodlightActivitiesListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `floodlightActivities[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivities#FloodlightActivity`)`` Floodlight activity collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`